'use strict'

const
	Changeme = require('../src/changeme'),
	expect = require('chai').expect,
	pause = require('@uci/utils').pPause

describe(
	`Testing `,
	function () {
		hooks()
		sometests()
		someothertests()
	})

//****************** TESTS **********************
function sometests() {
	it('==> test something', async function () {

		let result = await someasyncfunction()
		expect(result, `test failed`).to.equal('expectedresult')
		await pause(1000)

	})
}

function someothertests() {
	it('==> test something', async function () {

		let result = await someasyncfunction()
		expect(result, `test failed`).to.equal('expectedresult')
		await pause(1000)

	})
}

function hooks() {

	before(async() => {
		await someasyncfunctiontodobefore()
	})

	beforeEach(async() => {
		await someasyncfunctiontodobeforeeachtest()
	})

	after(async() => {
		await someasyncfunctiontodoaftereeachtest()
	})

}
